/*****************************************************************************
 * Copyright (C) The Apache Software Foundation. All rights reserved.        *
 * ------------------------------------------------------------------------- *
 * This software is published under the terms of the Apache Software License *
 * version 1.1, a copy of which has been included with this distribution in  *
 * the LICENSE file.                                                         *
 *****************************************************************************/

package org.apache.batik.gvt.renderer;

import org.apache.batik.gvt.GraphicsNodeRenderContext;

/**
 * Simple implementation of the Renderer that supports dynamic updates.
 *
 * @author <a href="mailto:Thierry.Kormann@sophia.inria.fr">Thierry Kormann</a>
 * @version $Id: DynamicRenderer.java,v 1.4 2001/07/18 22:04:54 deweese Exp $
 */
public class DynamicRenderer extends StaticRenderer {

    /**
     * Constructs a new dynamic renderer with the specified buffer image.
     */
    public DynamicRenderer() {
        super();
    }

    /**
     * Constructs a new dynamic renderer with the specified buffer image.
     * @param rc the GraphicsNodeRenderContext to use
     */
    public DynamicRenderer(GraphicsNodeRenderContext rc) {
        super(rc);
    }
}
